function mctsts:game/level_setup
#Tkills
scoreboard players set @a tkills 0
scoreboard players set @a tkillsX 0
scoreboard players set @a tpoints 0
scoreboard players set @a tpointsX 0
#Health
effect clear @a
effect give @a minecraft:absorption 999999 14 true
effect give @a minecraft:regeneration 999999 120 true
scoreboard players set @a[tag=!s_10] healthX 20
scoreboard players set @a[tag=s_10] healthX 36
scoreboard players set @a[tag=!s_10] healthZ 20
scoreboard players set @a[tag=s_10] healthZ 36
scoreboard players add @a healthD 0
#Shop
scoreboard players set @a armor 0
scoreboard players set @a melee 0
scoreboard players set @a ranged 0
scoreboard players set @a killstreak 0
#General
scoreboard players set @a gold 0
scoreboard players set @a kills16 0
scoreboard players set @e[tag=area_main] starttimer 0
#Teams
function mctsts:util/team_setup
#Other Stuff
scoreboard objectives setdisplay sidebar gamestats
tp @a[team=blue] @e[tag=blue_spawn,limit=1]
tp @a[team=red] @e[tag=red_spawn,limit=1]
tp @a[team=green] @e[tag=green_spawn,limit=1]
tp @a[team=yellow] @e[tag=yellow_spawn,limit=1]
#Stuff
execute as @a run function mctsts:game/weapons
execute as @a run function mctsts:game/equipment
gamemode adventure @a
#Effect Reset
function mctsts:game/effect_reset
effect clear @a minecraft:resistance
scoreboard objectives setdisplay belowName hearts
#Spectator
gamemode spectator @a[team=lobby_ts]
gamemode spectator @a[team=lobby_heart]
gamemode spectator @a[team=lobby_creator]
gamemode spectator @a[team=lobby]
gamemode spectator @a[team=lobby_cont]
gamemode spectator @a[team=spectator]
tp @a[gamemode=spectator] @r 

advancement revoke @s everything
kill @e[tag=59_bomba]


#Last
scoreboard players set @a tpoints 0
scoreboard players set @a shopX -1
scoreboard players set overtime Stats 0
scoreboard players set overtimeX Stats 0
scoreboard players set @a shop 0
scoreboard players set @a respawnC 0
scoreboard players set @a elytraT -2
execute as @a run function mctsts:shop/front_setup

scoreboard players operation blue lives = points Stats
scoreboard players operation red lives = points Stats
scoreboard players operation green lives = points Stats
scoreboard players operation yellow lives = points Stats
execute unless entity @a[team=red] run scoreboard players set red lives -1
execute unless entity @a[team=blue] run scoreboard players set blue lives -1
execute unless entity @a[team=green] run scoreboard players set green lives -1
execute unless entity @a[team=yellow] run scoreboard players set yellow lives -1

scoreboard players set shop Stats 0
scoreboard players set steals Stats 0
scoreboard players set locked Stats 0
scoreboard players set event Stats 0
scoreboard players set @a eCooldown 0
scoreboard players set @a eJump 0
scoreboard players set @a eShift 0
scoreboard players set @a[scores={elytraT=1..}] elytraT 1

#Last V2
function mctsts:game/gamestats


scoreboard players reset * gameid
scoreboard players set id gameid 0
execute as @a run function mctsts:game/gameid


execute as @a run function mctsts:game/on_spawn

scoreboard players set @a arrowTimer 5

kill @e[type=fireball]
