effect clear @s health_boost 
scoreboard players remove @s[scores={healthD=1..}] healthD 1

execute as @s[scores={healthD=15}] run effect give @s minecraft:regeneration 999999 120 true

#Get Health
execute store result score @s health run data get entity @s AbsorptionAmount

#Alive Again
execute as @s[scores={healthK=1..,health=60..}] run function mctsts:game/respawn
execute as @s[scores={healthK=1..,health=60..}] run execute if entity @s[tag=s_10] run scoreboard players set @s healthZ 36
execute as @s[scores={healthK=1..,health=60..}] run execute unless entity @s[tag=s_10] run scoreboard players set @s healthZ 20
execute as @s[scores={healthK=1..,health=60..}] run scoreboard players set @s healthK 0
execute as @s[scores={healthK=1..,health=60..}] run effect give @s minecraft:wither 1 1 true
execute as @s[scores={healthK=1..,health=60..}] run effect give @s minecraft:instant_health 1 1 true

#Calculate New Health
execute as @s[scores={healthD=..0}] run scoreboard players operation @s healthY = @s health
execute as @s[scores={healthD=..0}] run scoreboard players remove @s healthY 60
execute as @s[scores={healthD=..0}] run scoreboard players operation @s healthX += @s healthY 
execute as @s[scores={healthD=..0}] run effect clear @s minecraft:absorption 
execute as @s[scores={healthD=..0}] run effect give @s minecraft:absorption 999999 14 true
execute as @s[scores={healthD=..0}] run scoreboard players operation @s healthX < 40 Const

#Resurrect via Totem
execute as @s[scores={healthX=-99..0},nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{Damage:5}}]}] run tag @s add totem
execute as @s[tag=totem] run scoreboard players set @s[tag=!s_10] healthZ 10
execute as @s[tag=totem] run scoreboard players set @s[tag=s_10] healthZ 18
execute as @s[tag=totem] run scoreboard players set @s healthD 20
execute as @s[tag=totem] at @s run playsound minecraft:item.totem.use master @s ~ ~ ~ 1 1
execute as @s[tag=totem] at @s run particle minecraft:totem_of_undying ~ ~1 ~ 0.3 0.3 0.3 0.5 50
execute as @s[tag=totem] run clear @s carrot_on_a_stick{Damage:5} 1
execute as @s[tag=totem] run scoreboard players set @s healthX 10
execute as @s[tag=totem] run tag @s remove totem

#Void Death
execute unless entity @s[scores={voidCharm=1..}] run function mctsts:game/kill_void

#Check if Player is dead
scoreboard players remove @s[scores={bombK=1..}] bombK 1
scoreboard players remove @s[scores={boltK=1..}] boltK 1
scoreboard players remove @s[scores={fangK=1..}] fangK 1
scoreboard players remove @s[scores={creeper=1..}] creeper 1
scoreboard players remove @s[scores={killZeus=1..}] killZeus 1
scoreboard players remove @s[scores={voidCharm=1..}] voidCharm 1
execute as @s[scores={healthX=-99..0}] run scoreboard players set @s healthK 1
execute as @s[scores={healthX=-99..0}] run scoreboard players set @s healthZ 20
execute as @s[scores={healthX=-99..0}] run scoreboard players set @s healthD 20
execute as @s[scores={healthX=-99..0}] run effect clear @s minecraft:absorption
execute as @s[scores={healthX=-99..0}] run effect clear @s regeneration
execute as @s[scores={healthX=-99..0}] run effect give @s slowness 1 2 true
execute as @s[scores={healthX=-99..0}] run effect give @s slowness 1 2 true

execute as @s[scores={healthX=-99..0}] run scoreboard players set @a kill_rec 0
execute as @s[scores={healthX=-99..0}] run tag @s add dying
execute as @s[scores={healthX=-99..0},team=red] at @s run execute as @a[distance=0.01..4.5,team=!red,scores={hurt=18..}] at @s run function mctsts:game/kill_melee
execute as @s[scores={healthX=-99..0},team=blue] at @s run execute as @a[distance=0.01..4.5,team=!blue,scores={hurt=18..}] at @s run function mctsts:game/kill_melee
execute as @s[scores={healthX=-99..0},team=green] at @s run execute as @a[distance=0.01..4.5,team=!green,scores={hurt=19..}] at @s run function mctsts:game/kill_melee
execute as @s[scores={healthX=-99..0},team=yellow] at @s run execute as @a[distance=0.01..4.5,team=!yellow,scores={hurt=18..}] at @s run function mctsts:game/kill_melee
execute as @s[scores={healthX=-99..0}] if entity @a[tag=killer] run tag @r[tag=killer] add killer_a
execute as @s[scores={healthX=-99..0},team=red] unless entity @e[tag=killer] run tag @e[scores={rangedX=1..,hurt=1..},team=!red,limit=1,sort=nearest] add shooter
execute as @s[scores={healthX=-99..0},team=blue] unless entity @e[tag=killer] run tag @e[scores={rangedX=1..,hurt=1..},team=!blue,limit=1,sort=nearest] add shooter
execute as @s[scores={healthX=-99..0},team=green] unless entity @e[tag=killer] run tag @e[scores={rangedX=1..,hurt=1..},team=!green,limit=1,sort=nearest] add shooter
execute as @s[scores={healthX=-99..0},team=yellow] unless entity @e[tag=killer] run tag @e[scores={rangedX=1..,hurt=1..},team=!yellow,limit=1,sort=nearest] add shooter
execute as @s[scores={healthX=-99..0},team=red] unless entity @e[tag=killer] unless entity @e[tag=shooter] run tag @a[scores={bombK=1..},team=!red,limit=1,sort=nearest] add bomber
execute as @s[scores={healthX=-99..0},team=blue] unless entity @e[tag=killer] unless entity @e[tag=shooter] run tag @a[scores={bombK=1..},team=!blue,limit=1,sort=nearest] add bomber
execute as @s[scores={healthX=-99..0},team=green] unless entity @e[tag=killer] unless entity @e[tag=shooter] run tag @a[scores={bombK=1..},team=!green,limit=1,sort=nearest] add bomber
execute as @s[scores={healthX=-99..0},team=yellow] unless entity @e[tag=killer] unless entity @e[tag=shooter] run tag @a[scores={bombK=1..},team=!yellow,limit=1,sort=nearest] add bomber
execute as @s[scores={healthX=-99..0},team=red] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] run tag @a[scores={boltK=1..},team=!red,limit=1,sort=nearest] add bolt
execute as @s[scores={healthX=-99..0},team=blue] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] run tag @a[scores={boltK=1..},team=!blue,limit=1,sort=nearest] add bolt
execute as @s[scores={healthX=-99..0},team=green] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] run tag @a[scores={boltK=1..},team=!green,limit=1,sort=nearest] add bolt
execute as @s[scores={healthX=-99..0},team=yellow] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] run tag @a[scores={boltK=1..},team=!yellow,limit=1,sort=nearest] add bolt
execute as @s[scores={healthX=-99..0},team=red] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] unless entity @e[tag=bolt] run tag @a[scores={fangK=1..},team=!red,limit=1,sort=nearest] add fanged
execute as @s[scores={healthX=-99..0},team=blue] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] unless entity @e[tag=bolt] run tag @a[scores={fangK=1..},team=!blue,limit=1,sort=nearest] add fanged
execute as @s[scores={healthX=-99..0},team=green] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] unless entity @e[tag=bolt] run tag @a[scores={fangK=1..},team=!green,limit=1,sort=nearest] add fanged
execute as @s[scores={healthX=-99..0},team=yellow] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] unless entity @e[tag=bolt] run tag @a[scores={fangK=1..},team=!yellow,limit=1,sort=nearest] add fanged
execute as @s[scores={healthX=-99..0},team=red] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] unless entity @e[tag=bolt] unless entity @e[tag=fanged] run tag @a[scores={creeper=1..},team=!red,limit=1,sort=nearest] add creepered
execute as @s[scores={healthX=-99..0},team=blue] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] unless entity @e[tag=bolt] unless entity @e[tag=fanged] run tag @a[scores={creeper=1..},team=!blue,limit=1,sort=nearest] add creepered
execute as @s[scores={healthX=-99..0},team=green] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] unless entity @e[tag=bolt] unless entity @e[tag=fanged] run tag @a[scores={creeper=1..},team=!green,limit=1,sort=nearest] add creepered
execute as @s[scores={healthX=-99..0},team=yellow] unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] unless entity @e[tag=bolt] unless entity @e[tag=fanged] run tag @a[scores={creeper=1..},team=!yellow,limit=1,sort=nearest] add creepered
execute as @s[scores={healthX=-99..0}] at @s unless entity @e[tag=killer] unless entity @e[tag=shooter] unless entity @e[tag=bomber] unless entity @e[tag=bolt] unless entity @a[tag=fanged] unless block ~ ~1 ~ air run tag @s add suffocated

execute as @s[scores={healthX=-99..0}] if entity @a[tag=killer_a] unless entity @a[tag=voider2] unless entity @a[tag=voider] as @a[tag=killer_a] run function mctsts:game/get_weapon
execute as @s[scores={healthX=-99..0}] if entity @a[tag=killer_a] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a ["",{"selector":"@s"},{"text":" was killed by ","color":"dark_red"},{"selector":"@r[tag=killer_a]"},{"text":" using ","color":"dark_red"},{"selector":"@e[tag=weapon]"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=killer_a] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a[tag=killer_a] [{"text":" |   ","color":"gray"},{"text":"+ 20 gold","color":"gold"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=killer_a] unless entity @a[tag=voider2] unless entity @a[tag=voider] run scoreboard players add @a[tag=killer_a] gold 20
execute as @s[scores={healthX=-99..0}] if entity @a[tag=killer_a] unless entity @a[tag=voider2] unless entity @a[tag=voider] run execute as @a[tag=killer_a] run function mctsts:game/killstreak

execute as @s[scores={healthX=-99..0}] if entity @a[tag=shooter] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a ["",{"selector":"@s"},{"text":" was shot by ","color":"dark_red"},{"selector":"@p[tag=shooter]"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=shooter] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a[tag=shooter] [{"text":" |   ","color":"gray"},{"text":"+ 20 gold","color":"gold"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=shooter] unless entity @a[tag=voider2] unless entity @a[tag=voider] run scoreboard players add @a[tag=shooter] gold 20
execute as @s[scores={healthX=-99..0}] if entity @a[tag=shooter] unless entity @a[tag=voider2] unless entity @a[tag=voider] run execute as @a[tag=shooter] run function mctsts:game/killstreak

execute as @s[scores={healthX=-99..0}] if entity @a[tag=bomber] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a ["",{"selector":"@s"},{"text":" was blown up by ","color":"dark_red"},{"selector":"@p[tag=bomber]"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=bomber] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a[tag=bomber] [{"text":" |   ","color":"gray"},{"text":"+ 20 gold","color":"gold"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=bomber] unless entity @a[tag=voider2] unless entity @a[tag=voider] run scoreboard players add @a[tag=bomber] gold 20
execute as @s[scores={healthX=-99..0}] if entity @a[tag=bomber] unless entity @a[tag=voider2] unless entity @a[tag=voider] run execute as @a[tag=bomber] run function mctsts:game/killstreak

execute as @s[scores={healthX=-99..0}] if entity @a[tag=bolt] unless entity @a[tag=voider2] unless entity @a[tag=voider] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a ["",{"selector":"@s"},{"text":" was struck in vengeance by ","color":"dark_red"},{"selector":"@p[tag=bolt]"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=bolt] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a[tag=bolt] [{"text":" |   ","color":"gray"},{"text":"+ 20 gold","color":"gold"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=bolt] unless entity @a[tag=voider2] unless entity @a[tag=voider] run scoreboard players add @a[tag=bolt] gold 20
execute as @s[scores={healthX=-99..0}] if entity @a[tag=bolt] unless entity @a[tag=voider2] unless entity @a[tag=voider] run execute as @a[tag=bolt] run function mctsts:game/killstreak

execute as @s[scores={healthX=-99..0}] if entity @a[tag=fanged,name=!_tsts_] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a ["",{"selector":"@s"},{"text":" was killed by ","color":"dark_red"},{"selector":"@p[tag=fanged]"},{"text":"'s Void Fangs","color":"dark_red"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=fanged,name=_tsts_] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a ["",{"selector":"@s"},{"text":" was killed by ","color":"dark_red"},{"selector":"@p[tag=fanged]"},{"text":"' Void Fangs","color":"dark_red"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=fanged] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a[tag=fanged] [{"text":" |   ","color":"gray"},{"text":"+ 20 gold","color":"gold"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=fanged] unless entity @a[tag=voider2] unless entity @a[tag=voider] run scoreboard players add @a[tag=fanged] gold 20
execute as @s[scores={healthX=-99..0}] if entity @a[tag=fanged] unless entity @a[tag=voider2] unless entity @a[tag=voider] run execute as @a[tag=fanged] run function mctsts:game/killstreak

execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider] as @a[tag=voider] run function mctsts:game/get_weapon
execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider] run tellraw @a ["",{"selector":"@s"},{"text":" was knocked into the void by ","color":"dark_red"},{"selector":"@p[tag=voider]"},{"text":" using ","color":"dark_red"},{"selector":"@e[tag=weapon]"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider] run tellraw @a[tag=voider] [{"text":" |   ","color":"gray"},{"text":"+ 20 gold","color":"gold"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider] run scoreboard players add @a[tag=voider] gold 20
execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider] run execute as @a[tag=voider,tag=s_3] run function federick:skills/void_k/got_k
execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider] run execute as @a[tag=voider] run function mctsts:game/killstreak

execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider2] run tellraw @a ["",{"selector":"@s"},{"text":" walked into the void trying to escape from ","color":"dark_red"},{"selector":"@p[tag=voider2]"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider2] run tellraw @a[tag=voider2] [{"text":" |   ","color":"gray"},{"text":"+ 20 gold","color":"gold"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider2] run scoreboard players add @a[tag=voider2] gold 20
execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider2] run execute as @a[tag=voider2,tag=s_3] run function federick:skills/void_k/got_k
execute as @s[scores={healthX=-99..0}] if entity @a[tag=voider2] run execute as @a[tag=voider2] run function mctsts:game/killstreak

execute as @s[scores={healthX=-99..0}] if entity @a[tag=creepered] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a ["",{"selector":"@s"},{"text":" was blown up by ","color":"dark_red"},{"selector":"@p[tag=creepered]"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=creepered] unless entity @a[tag=voider2] unless entity @a[tag=voider] run tellraw @a[tag=creepered] [{"text":" |   ","color":"gray"},{"text":"+ 20 gold","color":"gold"}]
execute as @s[scores={healthX=-99..0}] if entity @a[tag=creepered] unless entity @a[tag=voider2] unless entity @a[tag=voider] run scoreboard players add @a[tag=creepered] gold 20
execute as @s[scores={healthX=-99..0}] if entity @a[tag=creepered] unless entity @a[tag=voider2] unless entity @a[tag=voider] run execute as @a[tag=creepered] run function mctsts:game/killstreak

execute as @s[scores={healthX=-99..0}] unless entity @a[tag=killer] unless entity @a[tag=shooter] unless entity @a[tag=bomber] unless entity @a[tag=bolt] unless entity @a[tag=fanged] unless entity @a[tag=suffocated] unless entity @a[tag=voided] unless entity @a[tag=voider] unless entity @a[tag=voider2] unless entity @a[tag=creepered] if entity @s[scores={creeper=1..}] run tellraw @a ["",{"selector":"@s"},{"text":" blew up","color":"dark_red"}]
execute as @s[scores={healthX=-99..0}] unless entity @a[tag=killer] unless entity @a[tag=shooter] unless entity @a[tag=bomber] unless entity @a[tag=bolt] unless entity @a[tag=fanged] unless entity @a[tag=suffocated] unless entity @a[tag=voided] unless entity @a[tag=voider] unless entity @a[tag=voider2] unless entity @s[scores={creeper=1..}] unless entity @a[tag=creepered] unless entity @s[scores={killZeus=1..}] run tellraw @a ["",{"selector":"@s"},{"text":" died","color":"dark_red"}]
execute as @s[scores={healthX=-99..0}] unless entity @a[tag=killer] unless entity @a[tag=shooter] unless entity @a[tag=bomber] unless entity @a[tag=bolt] unless entity @a[tag=fanged] unless entity @a[tag=suffocated] unless entity @a[tag=voided] unless entity @a[tag=voider] unless entity @a[tag=voider2] unless entity @s[scores={creeper=1..}] unless entity @a[tag=creepered] if entity @s[scores={killZeus=1..}] run tellraw @a ["",{"selector":"@s"},{"text":" got struck by lightning","color":"dark_red"}]
execute as @s[scores={healthX=-99..0}] unless entity @a[tag=killer] unless entity @a[tag=shooter] unless entity @a[tag=bomber] unless entity @a[tag=bolt] unless entity @a[tag=fanged] if entity @a[tag=suffocated] unless entity @a[tag=voider] unless entity @a[tag=voider2] unless entity @s[scores={creeper=1..}] unless entity @a[tag=creepered] run tellraw @a ["",{"selector":"@s"},{"text":" suffocated","color":"dark_red"}]
execute as @s[scores={healthX=-99..0}] unless entity @a[tag=killer] unless entity @a[tag=shooter] unless entity @a[tag=bomber] unless entity @a[tag=bolt] unless entity @a[tag=fanged] unless entity @a[tag=suffocated] if entity @a[tag=voided] unless entity @a[tag=voider] unless entity @a[tag=voider2] unless entity @s[scores={creeper=1..}] unless entity @a[tag=creepered] run tellraw @a ["",{"selector":"@s"},{"text":" fell into the void","color":"dark_red"}]
execute as @s[scores={healthX=-99..0}] run execute as @a[tag=killer_a] run function mctsts:game/on_kill
execute as @s[scores={healthX=-99..0}] run execute as @a[tag=shooter] run function mctsts:game/on_kill
execute as @s[scores={healthX=-99..0}] run tag @a remove shooter
execute as @s[scores={healthX=-99..0}] run tag @a remove killer
execute as @s[scores={healthX=-99..0}] run tag @a remove bomber
execute as @s[scores={healthX=-99..0}] run tag @a remove bolt
execute as @s[scores={healthX=-99..0}] run tag @a remove fanged
execute as @s[scores={healthX=-99..0}] run tag @a remove suffocated
execute as @s[scores={healthX=-99..0}] run tag @a remove voided
execute as @s[scores={healthX=-99..0}] run tag @a remove killer_a
execute as @s[scores={healthX=-99..0}] run tag @a remove dying
execute as @s[scores={healthX=-99..0}] run tag @a remove voider
execute as @s[scores={healthX=-99..0}] run tag @a remove voider2
execute as @s[scores={healthX=-99..0}] run tag @a remove creepered
execute as @s[scores={healthX=-99..0}] run kill @e[tag=weapon]

execute as @s[scores={healthX=-99..0}] at @s run function mctsts:game/on_death

execute as @s[scores={healthX=-99..0}] run tp @s @e[tag=capture_big,limit=1]
execute as @s[scores={healthX=-99..0}] at @s run clear @s
execute as @s[scores={healthX=-99..0}] at @s run tp @s ~ ~5 ~
execute as @s[scores={healthX=-99..0}] run gamemode spectator @s
execute as @s[scores={healthX=-99..0}] run scoreboard players set @s respawnC 60
execute as @s[scores={healthX=-99..0}] run scoreboard players set @s healthX -100

#Force Set Health
execute as @s[scores={healthZ=1..,healthD=1..}] run scoreboard players operation @s healthZ *= -1 Const
execute as @s[scores={healthZ=1..}] run effect give @a minecraft:absorption 999999 14 true
execute as @s[scores={healthZ=1..}] run scoreboard players set @s healthY 60
execute as @s[scores={healthZ=1..}] run scoreboard players operation @s healthX = @s healthZ
execute as @s[scores={healthZ=1..}] run scoreboard players operation @s healthY += @s healthZ
execute as @s[scores={healthZ=1..}] run scoreboard players set @s healthD 5
execute as @s[scores={healthZ=1..}] run scoreboard players operation @s healthD += @s healthZ
execute as @s[scores={healthZ=1..}] run scoreboard players operation @s healthD -= @s healthX
execute as @s[scores={healthZ=1..}] run scoreboard players set @s healthZ 0
execute as @s[scores={healthZ=..-1}] run scoreboard players operation @s healthZ *= -1 Const

scoreboard players operation @s hearts = @s healthX

scoreboard players operation @s healthX < 40 Const

execute as @s[scores={healthX=40},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:20,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=39},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:19,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=38},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:18,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=37},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:17,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=36},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:16,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=35},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:15,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=34},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:14,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=33},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:13,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=32},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:12,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=31},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:11,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=30},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:10,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=29},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:9,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=28},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:8,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=27},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:7,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=26},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:6,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=25},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:5,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=24},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:4,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=23},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:3,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=22},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:2,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=21},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:1,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=20},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:0,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=19},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-1,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=18},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-2,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=17},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-3,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=16},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-4,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=15},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-5,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=14},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-6,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=13},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-7,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=12},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-8,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=11},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-9,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=10},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-10,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=9},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-11,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=8},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-12,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=7},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-13,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=6},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-14,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=5},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-15,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=4},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-16,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=3},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-17,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=2},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-18,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=1},team=red] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-19,Operation:0,UUIDMost:31379,UUIDLeast:186564}],HideFlags:63,display:{color:16056334,Name:"{\"text\":\"Red Helmet\",\"color\":\"red\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}

execute as @s[scores={healthX=40},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:20,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=39},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:19,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=38},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:18,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=37},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:17,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=36},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:16,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=35},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:15,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=34},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:14,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=33},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:13,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=32},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:12,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=31},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:11,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=30},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:10,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=29},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:9,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=28},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:8,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=27},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:7,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=26},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:6,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=25},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:5,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=24},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:4,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=23},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:3,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=22},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:2,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=21},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:1,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=20},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:0,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=19},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-1,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=18},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-2,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=17},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-3,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=16},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-4,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=15},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-5,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=14},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-6,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=13},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-7,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=12},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-8,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=11},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-9,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=10},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-10,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=9},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-11,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=8},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-12,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=7},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-13,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=6},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-14,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=5},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-15,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=4},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-16,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=3},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-17,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=2},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-18,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=1},team=blue] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-19,Operation:0,UUIDMost:31379,UUIDLeast:1391313}],HideFlags:63,display:{color:1391313,Name:"{\"text\":\"Blue Helmet\",\"color\":\"blue\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}

execute as @s[scores={healthX=40},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:20,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=39},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:19,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=38},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:18,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=37},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:17,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=36},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:16,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=35},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:15,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=34},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:14,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=33},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:13,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=32},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:12,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=31},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:11,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=30},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:10,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=29},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:9,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=28},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:8,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=27},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:7,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=26},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:6,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=25},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:5,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=24},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:4,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=23},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:3,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=22},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:2,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=21},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:1,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=20},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:0,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=19},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-1,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=18},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-2,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=17},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-3,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=16},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-4,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=15},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-5,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=14},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-6,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=13},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-7,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=12},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-8,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=11},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-9,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=10},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-10,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=9},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-11,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=8},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-12,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=7},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-13,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=6},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-14,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=5},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-15,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=4},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-16,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=3},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-17,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=2},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-18,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=1},team=green] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-19,Operation:0,UUIDMost:31379,UUIDLeast:2620468}],HideFlags:63,display:{color:2620468,Name:"{\"text\":\"Green Helmet\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}

execute as @s[scores={healthX=40},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:20,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=39},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:19,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=38},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:18,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=37},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:17,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=36},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:16,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=35},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:15,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=34},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:14,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=33},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:13,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=32},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:12,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=31},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:11,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=30},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:10,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=29},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:9,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=28},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:8,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=27},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:7,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=26},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:6,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=25},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:5,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=24},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:4,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=23},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:3,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=22},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:2,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=21},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:1,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=20},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:0,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=19},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-1,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=18},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-2,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=17},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-3,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=16},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-4,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=15},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-5,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=14},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-6,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=13},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-7,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=12},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-8,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=11},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-9,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=10},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-10,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=9},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-11,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=8},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-12,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=7},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-13,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=6},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-14,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=5},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-15,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=4},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-16,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=3},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-17,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=2},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-18,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}
execute as @s[scores={healthX=1},team=yellow] run replaceitem entity @s armor.head minecraft:leather_helmet{AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-19,Operation:0,UUIDMost:31379,UUIDLeast:16442409}],HideFlags:63,display:{color:16442409,Name:"{\"text\":\"Yellow Helmet\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},Enchantments:[{id:"binding_curse",lvl:1}]}