#Carrot Start
execute if score shop Stats matches 1.. run scoreboard players set @a carrot 0

execute as @a[gamemode=creative,tag=!camera] run function mctsts:join/cheats
team join camera @a[tag=camera,team=!camera]

#Drop
kill @e[type=item]

#Shop
execute as @a[team=spectators] run function mctsts:shop/clear
execute as @a[team=red] run function mctsts:shop/main
execute as @a[team=blue] run function mctsts:shop/main
execute as @a[team=green] run function mctsts:shop/main
execute as @a[team=yellow] run function mctsts:shop/main

#Level
execute if score level Stats matches 1 if score optionEvent Stats matches 1 run function mctsts:game/level/olympus
execute if score level Stats matches 2 if score optionEvent Stats matches 1 run function mctsts:game/level/ocean
execute if score level Stats matches 3 if score optionEvent Stats matches 1 run function mctsts:game/level/winter
execute if score level Stats matches 4 if score optionEvent Stats matches 1 run function mctsts:game/level/ruins
execute if score level Stats matches 5 if score optionEvent Stats matches 1 run function mctsts:game/level/volcano
execute if score level Stats matches 6 if score optionEvent Stats matches 1 run function mctsts:game/level/bridges
execute if score level Stats matches 7 if score optionEvent Stats matches 1 run function mctsts:game/level/western
execute if score level Stats matches 8 if score optionEvent Stats matches 1 run function mctsts:game/level/factory

#Gold
execute as @a run scoreboard players operation @s xpX = @s xp
execute as @a run function mctsts:game/gold

#Clear
clear @a red_stained_glass_pane
clear @a blue_stained_glass_pane
clear @a yellow_stained_glass_pane
clear @a lime_stained_glass_pane

#Distance
execute unless score shop Stats matches 1.. as @e[tag=middle] at @s as @a[distance=350..,gamemode=adventure] run function mctsts:join/distance 

#Last Player
scoreboard players set @a lastCount 0
execute as @a[gamemode=adventure] at @s positioned ~ ~1 ~ run function mctsts:game/last
scoreboard players remove @a[scores={last=1..}] last 1
scoreboard players reset @a[scores={last=0}] lastHit 
scoreboard players reset @a[scores={last=0}] last 

#Misc
function mctsts:game/steal
function mctsts:game/arrow
function mctsts:game/cooldown
execute as @a run function mctsts:game/kill_ranged
execute as @a run function mctsts:game/passive
execute as @a[gamemode=!creative] run function mctsts:game/armor
execute as @a[gamemode=!creative] run function mctsts:game/equipment
function mctsts:game/block
function lefty:skill_fireball
function lefty:skill_trap
function lefty:skill_reverse_recall 
execute as @a[scores={elytraT=1..}] if score @s elytraT matches 0.. run function federick:skills/void_k/bossbar/players

#Effect
scoreboard players add effect Stats 1
execute if score effect Stats matches 3.. run scoreboard players set effect Stats 1
execute if score effect Stats matches 1 as @a[tag=!s_15] run function mctsts:game/effects
execute if score effect Stats matches 2 as @a run function mctsts:game/effects

#Persistence
execute as @a[team=red,tag=s_19] at @s run scoreboard players set @a[team=red,distance=..6] persistence 10
execute as @a[team=blue,tag=s_19] at @s run scoreboard players set @a[team=blue,distance=..6] persistence 10
execute as @a[team=green,tag=s_19] at @s run scoreboard players set @a[team=green,distance=..6] persistence 10
execute as @a[team=yellow,tag=s_19] at @s run scoreboard players set @a[team=yellow,distance=..6] persistence 10

#Ender Shift
execute if score shop Stats matches 1.. run scoreboard players set @a[tag=s_21] eShift 0
execute if score shop Stats matches 1.. run scoreboard players set @a[tag=s_21] eShift 0
scoreboard players set @a[gamemode=spectator] eJump 0
scoreboard players set @a[gamemode=spectator] eShift 0
scoreboard players set @a[tag=!s_21] eJump 0
scoreboard players set @a[tag=!s_21] eShift 0
scoreboard players set @a[scores={eCooldown=1..}] eShift 0
scoreboard players set @a[scores={eCooldown=1..}] eJump 0
scoreboard players set @a[scores={eShift=1..,eJump=0}] eRay 0
execute as @a[scores={eShift=1..,eJump=0}] at @s unless block ~ ~ ~ #slabs positioned ~ ~0.15 ~ run function mctsts:game/end_particle
execute as @a[scores={eShift=1..,eJump=0}] at @s if block ~ ~ ~ #slabs positioned ~ ~0.5 ~ run function mctsts:game/end_particle_slab
scoreboard players set @a[scores={eShift=1..,eJump=1..}] eRay 0
scoreboard players set @a[scores={eShift=1..,eJump=1..}] eCooldown 120
execute as @a[scores={eShift=1..,eJump=1..}] at @s run tp @s ~ ~ ~ ~ 0
execute as @a[scores={eShift=1..,eJump=1..}] at @s unless block ~ ~ ~ #slabs positioned ~ ~ ~ run function mctsts:game/end_ray
execute as @a[scores={eShift=1..,eJump=1..}] at @s if block ~ ~ ~ #slabs positioned ~ ~ ~ run function mctsts:game/end_ray_slab
execute as @a[scores={eShift=1..,eJump=1..}] at @s run playsound minecraft:entity.enderman.teleport master @a ~ ~ ~ 1 1
scoreboard players set @a eShift 0
scoreboard players set @a eJump 0
scoreboard players remove @a[scores={eCooldown=1..}] eCooldown 1
execute as @a[scores={eCooldown=1}] at @s run playsound minecraft:entity.enderman.hurt master @s ~ ~ ~ 1 0.8
execute as @a[scores={eCooldown=1}] at @s run tellraw @s [{"text":" |   ","color":"gray"},{"text":"Ender Shift is ready","color":"gray"}]

#Health
execute as @a[team=red,gamemode=adventure] run function mctsts:game/health
execute as @a[team=blue,gamemode=adventure] run function mctsts:game/health
execute as @a[team=green,gamemode=adventure] run function mctsts:game/health
execute as @a[team=yellow,gamemode=adventure] run function mctsts:game/health
execute as @a[team=red,gamemode=!adventure] run function mctsts:game/health_respawn
execute as @a[team=blue,gamemode=!adventure] run function mctsts:game/health_respawn
execute as @a[team=green,gamemode=!adventure] run function mctsts:game/health_respawn
execute as @a[team=yellow,gamemode=!adventure] run function mctsts:game/health_respawn

#Items
execute as @a[scores={dropI=1..}] run function mctsts:game/weapons
scoreboard players set @a dropI 0

#Ammo
execute as @a[gamemode=adventure] store result score @s arrowsX run clear @s arrow 0
execute as @a[scores={ranged=..2}] run scoreboard players add @s arrowsX 8
scoreboard players add @a[gamemode=adventure,scores={ranged=1..}] arrows 1
scoreboard players add @a[gamemode=adventure,tag=s_4,scores={ranged=1..}] arrows 1
scoreboard players add @a[gamemode=adventure,tag=s_2,scores={ranged=1..}] arrows 1
scoreboard players add @a[gamemode=adventure,tag=s_1,scores={ranged=1..}] arrows 1
execute as @a[scores={arrowsX=..15,arrows=100..},gamemode=adventure] run function mctsts:game/get_arrow
scoreboard players set @a[scores={arrows=100..},gamemode=adventure] arrows 0

#red_mushroom_block Stopper
tag @e[type=tnt]

#Fireball
function mctsts:game/fireball

#Potions
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:2}}},scores={carrot=1..}] at @s run scoreboard players add @s[scores={jump_boost4=..0}] jump_boost 3
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:2}}},scores={carrot=1..}] at @s run scoreboard players set @s[scores={jump_boost4=..0}] jump_boost4 600
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}},scores={carrot=1..}] at @s run scoreboard players add @s[scores={speed6=..0}] speed 3
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}},scores={carrot=1..}] at @s run scoreboard players set @s[scores={speed6=..0}] speed6 600
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:3}}},scores={carrot=1..}] at @s run scoreboard players set @s persistence 300
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:2}}},scores={carrot=1..}] at @s run playsound minecraft:entity.phantom.death master @a ~ ~ ~ 1 1.5
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}},scores={carrot=1..}] at @s run playsound minecraft:entity.phantom.death master @a ~ ~ ~ 1 1.5
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:3}}},scores={carrot=1..}] at @s run playsound minecraft:entity.phantom.death master @a ~ ~ ~ 1 1.5
replaceitem entity @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:2}}},scores={carrot=1..}] weapon.mainhand air
replaceitem entity @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}},scores={carrot=1..}] weapon.mainhand air
replaceitem entity @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:3}}},scores={carrot=1..}] weapon.mainhand air

execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:7}}},scores={carrot=1..}] at @s run scoreboard players set @s healthX 0
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:7}}},scores={carrot=1..}] at @s run scoreboard players set @s creeper 5
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:7}}},scores={carrot=1..}] at @s run summon minecraft:creeper ~ ~ ~ {Fuse:0,ExplosionRadius:5}
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:7}}},scores={carrot=1..}] at @s as @a[distance=..6] run scoreboard players set @s last 120
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:7}}},scores={carrot=1..}] at @s as @a[distance=..6] run scoreboard players operation @s lastHit = @a[scores={creeper=5}] playerid
replaceitem entity @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:7}}},scores={carrot=1..}] weapon.mainhand air



#Carrot End
scoreboard players set @a carrot 0

#Arrow Success
scoreboard players set @a Success 0
execute as @a run function mctsts:game/ad_bow
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s[scores={speed1=0}] speed 3
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s speed1 100
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s[scores={resistance6=0}] resistance 2
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s resistance6 100
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s[scores={jump_boost5=0}] jump_boost 2
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s jump_boost5 100

#Gold Timer
scoreboard players add @a goldtimer 2
scoreboard players add @a[tag=s_18] goldtimer 1
scoreboard players add @a gold 0
scoreboard players add @a[scores={goldtimer=25..,gold=..4999}] gold 1
scoreboard players set @a[scores={goldtimer=25..}] goldtimer 0

#Slow touch (s_16)
execute as @a[scores={damageD2=0..},tag=s_16] at @s run function federick:skills/slow_t/main
scoreboard players reset @a[scores={damageD2=0..}] damageD2

#Sniper (s_1)
execute as @a[tag=s_1] at @s run function federick:skills/sniper/main

#Jump Armor
scoreboard players add @a[scores={armor=10..13,jump_boost1=0}] jump_boost 3
scoreboard players set @a[scores={armor=10..13,jump_boost1=0}] jump_boost1 20

#Regeneration
scoreboard players add @a regeneration 1
scoreboard players set @a[scores={healthX=20..,regeneration=100..}] regeneration 0
execute as @a[scores={regeneration=100..}] run scoreboard players operation @s healthZ = @s healthX
execute as @a[scores={regeneration=100..}] run scoreboard players add @s healthZ 1
execute as @a[scores={regeneration=100..}] run scoreboard players set @s regeneration 0

#Block Restore
execute as @a[team=red] if entity @s[nbt={SelectedItemSlot:2},tag=!s_11] unless entity @a[nbt={SelectedItem:{id:"minecraft:red_wool"}}] run replaceitem entity @s hotbar.2 minecraft:red_wool{display:{Name:"{\"text\":\"Blocks\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["red_mushroom_block","slime_block"],HideFlags:63,CanPlaceOn:["#all"]} 64
execute as @a[team=blue] if entity @s[nbt={SelectedItemSlot:2},tag=!s_11] unless entity @a[nbt={SelectedItem:{id:"minecraft:blue_wool"}}] run replaceitem entity @s hotbar.2 minecraft:blue_wool{display:{Name:"{\"text\":\"Blocks\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["red_mushroom_block","slime_block"],HideFlags:63,CanPlaceOn:["#all"]} 64
execute as @a[team=green] if entity @s[nbt={SelectedItemSlot:2},tag=!s_11] unless entity @a[nbt={SelectedItem:{id:"minecraft:lime_wool"}}] run replaceitem entity @s hotbar.2 minecraft:lime_wool{display:{Name:"{\"text\":\"Blocks\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["red_mushroom_block","slime_block"],HideFlags:63,CanPlaceOn:["#all"]} 64
execute as @a[team=yellow] if entity @s[nbt={SelectedItemSlot:2},tag=!s_11] unless entity @a[nbt={SelectedItem:{id:"minecraft:yellow_wool"}}] run replaceitem entity @s hotbar.2 minecraft:yellow_wool{display:{Name:"{\"text\":\"Blocks\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["red_mushroom_block","slime_block"],HideFlags:63,CanPlaceOn:["#all"]} 64
execute as @a[team=red] if entity @s[nbt={SelectedItemSlot:2},tag=s_11] unless entity @a[nbt={SelectedItem:{id:"minecraft:red_terracotta"}}] run replaceitem entity @s hotbar.2 minecraft:red_terracotta{display:{Name:"{\"text\":\"Reinforced Blocks\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["red_mushroom_block","slime_block"],HideFlags:63,CanPlaceOn:["#all"]} 64
execute as @a[team=blue] if entity @s[nbt={SelectedItemSlot:2},tag=s_11] unless entity @a[nbt={SelectedItem:{id:"minecraft:blue_terracotta"}}] run replaceitem entity @s hotbar.2 minecraft:blue_terracotta{display:{Name:"{\"text\":\"Reinforced Blocks\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["red_mushroom_block","slime_block"],HideFlags:63,CanPlaceOn:["#all"]} 64
execute as @a[team=green] if entity @s[nbt={SelectedItemSlot:2},tag=s_11] unless entity @a[nbt={SelectedItem:{id:"minecraft:lime_terracotta"}}] run replaceitem entity @s hotbar.2 minecraft:lime_terracotta{display:{Name:"{\"text\":\"Reinforced Blocks\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["red_mushroom_block","slime_block"],HideFlags:63,CanPlaceOn:["#all"]} 64
execute as @a[team=yellow] if entity @s[nbt={SelectedItemSlot:2},tag=s_11] unless entity @a[nbt={SelectedItem:{id:"minecraft:yellow_terracotta"}}] run replaceitem entity @s hotbar.2 minecraft:yellow_terracotta{display:{Name:"{\"text\":\"Reinforced Blocks\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["red_mushroom_block","slime_block"],HideFlags:63,CanPlaceOn:["#all"]} 64


#Evader
execute as @a[tag=s_7,team=red] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_blue,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=red] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_green,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=red] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_yellow,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=blue] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_red,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=blue] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_green,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=blue] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_yellow,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=green] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_red,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=green] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_blue,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=green] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_yellow,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=yellow] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_red,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=yellow] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_blue,distance=..2.5] add deflected_arrow
execute as @a[tag=s_7,team=yellow] at @s positioned ~ ~1 ~ run tag @e[type=arrow,tag=arrow_green,distance=..2.5] add deflected_arrow
execute as @e[tag=deflected_arrow] at @s run scoreboard players set r Random 3
execute as @e[tag=deflected_arrow] at @s run function mctsts:util/random
execute as @e[tag=deflected_arrow] at @s if score n Random matches 1 run tag @s remove deflected_arrow
execute as @e[tag=deflected_arrow] at @s run particle minecraft:enchant ~ ~ ~ 0.1 0.1 0.1 0.1 5
execute as @e[tag=deflected_arrow] at @s run particle minecraft:enchanted_hit ~ ~ ~ 0.1 0.1 0.1 0.1 5
execute as @e[tag=deflected_arrow] at @s run playsound minecraft:item.shield.break master @a ~ ~ ~ 2 2
execute as @e[tag=deflected_arrow] at @s run kill @s

#Steal Timer
execute if score shop Stats matches 0 run function mctsts:game/pickpocket

#Arrow Timer
scoreboard players remove @a[scores={arrowTimer=1..}] arrowTimer 1
replaceitem entity @a[scores={arrowTimer=1}] hotbar.8 arrow{CanDestroy:["red_mushroom_block","slime_block"],HideFlags:63} 8

#Last
function mctsts:game/nofall
function mctsts:game/shop_pause
function mctsts:game/eliminate


function ds:main